package cmd

import (
	"acme-mana/src/common"
	"acme-mana/src/conf"
	"acme-mana/src/http"
	"acme-mana/src/util"
	"encoding/json"
	"fmt"
	tea "github.com/charmbracelet/bubbletea"
	"github.com/spf13/cobra"
	"strconv"
)

// 打印 配置信息
func confShow(cmd *cobra.Command, args []string) {
	tea.Println()
	confJson, err := json.MarshalIndent(common.AppConf, "", "	")
	if err != nil {
		fmt.Println("序列化配置信息失败:", err)
	}
	fmt.Println(string(confJson))
}

func editServer(cmd *cobra.Command, args []string) {
	server := common.AppConf.Server
	server.Host = util.ReadLine("请输入服务监听地址;", server.Host)
	server.Port = util.ReadInt("请输入服务监听端口;", strconv.Itoa(server.Port))
	conf.WriteConfig()
	fmt.Println("服务监听配置已完成")
}

func serverState(cmd *cobra.Command, args []string) {
	http.Start()
}
func startServer(cmd *cobra.Command, args []string) {
	http.Start()
}
func stopServer(cmd *cobra.Command, args []string) {
	fmt.Println("stop server")
}

func editTask(cmd *cobra.Command, args []string) {
	fmt.Println("edit task")
}
func runTask(cmd *cobra.Command, args []string) {
	fmt.Println("run task")
}

func statusTask(cmd *cobra.Command, args []string) {
	fmt.Println("status task")
}

func stopTask(cmd *cobra.Command, args []string) {
	fmt.Println("stop task")
}

func startTask(cmd *cobra.Command, args []string) {
	fmt.Println("start task")
}
func providerDelete(cmd *cobra.Command, args []string) {
	fmt.Println("delete provider")
}

func providerEdit(cmd *cobra.Command, args []string) {
	fmt.Println("edit provider")
}

func providerAdd(cmd *cobra.Command, args []string) {
	fmt.Println("add provider")
}

func providerList(cmd *cobra.Command, args []string) {
	fmt.Println("list provider")
}

func providerSupport(cmd *cobra.Command, args []string) {
	fmt.Println("support provider")
}

func editCert(cmd *cobra.Command, args []string) {
	fmt.Println("edit cert")
}

func certDelete(cmd *cobra.Command, args []string) {
	fmt.Println("delete cert")
}

func certAdd(cmd *cobra.Command, args []string) {
	fmt.Println("add cert")
}

func certList(cmd *cobra.Command, args []string) {
	fmt.Println("list cert")
}
