package http

import (
	"acme-mana/src/common"
	"github.com/gin-gonic/gin"
	"github.com/go-acme/lego/v4/log"
	"strconv"
)

var service *gin.Engine
var isRunning bool

func Start() {

}

func Stop() {

}

func Status() bool {
	return isRunning
}

func start() {
	conf := common.AppConf
	server := conf.Server
	service := gin.Default()
	register(service)
	isRunning = true
	err := service.Run(server.Host + ":" + strconv.Itoa(server.Port))
	if err != nil {
		log.Fatal("http server start error \n", err)
	}
	isRunning = false
}

func register(service *gin.Engine) {
	service.GET("/api/v1/refresh", refreshCert)
	service.GET("/api/v1/cert", getCert)
	service.GET("/api/v1/domain/list", domainList)
}
