package model

type AppConfig struct {
	Server    *ServerConf     `json:"server" yaml:"server"`
	Task      *TaskConf       `json:"task" yaml:"task"`
	Certs     *[]CertConf     `json:"cert" yaml:"cert"`
	Providers *[]ProviderConf `json:"provider" yaml:"provider"`
}

type ServerConf struct {
	Host string `json:"host" yaml:"host"`
	Port int    `json:"port" yaml:"port"`
}

type TaskConf struct {
	// 启动延迟时间, 单位: 毫秒, 默认: 0
	Delay int `json:"delay" yaml:"delay"`
	// 间隔时间
	Interval int `json:"interval" yaml:"interval"`
}

type ProviderConf struct {
	Name string            `json:"name" yaml:"name"`
	Type string            `json:"type" yaml:"type"`
	Conf map[string]string `json:"conf" yaml:"conf"`
}

type CertConf struct {
	Name     string   `json:"name" yaml:"name"`
	Provider string   `json:"use" yaml:"provider"`
	Dir      string   `json:"dir" yaml:"dir"`
	Email    string   `json:"email" yaml:"email"`
	Host     []string `json:"host" yaml:"host"`
}
